NSX Edge Nodes
All operations require authentication.
Check edge capacity on global datastoresProduction
Check edge capacity on global datastores. Returns true when the global datastores have enough free space for the edge nodes. Set their number and size with count and size, MEDIUM by default.
Path parameters
Domain of the service
Query parameters
Number of edges wanted
Size of NSX-T edge (default to MEDIUM)
LARGEMEDIUMXLARGEResponse
Example uses serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ canDeployNsxtEdgesOnGlobalDatastores \
-H "authorization: Bearer $OVH_TOKEN"true
List edge nodesProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge \
-H "authorization: Bearer $OVH_TOKEN"[ 0]
Get an edge nodeProduction
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Response
Location of NSX-T Edge disks
Host id where NSX-T Edge is located
IP of the NSX-T Edge
The VMware MoRef of the NSX-T Edge
Name of the NSX-T Edge
Id of the NSX-T Edge
Size of the NSX-T Edge
LARGEMEDIUMXLARGEState of the NSX-T Edge
availabledelivereddisableddisablingerrormigratingprovisionningrecyclingreservedtoDisabletoProvisiontoRecycletoRemovetoUnprovisionunprovisionningupgradingExample uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "diskLocation": "string", "hostId": 0, "ip": "192.0.2.0", "moRef": "string", "name": "string", "nsxtEdgeId": 0, "size": "LARGE", "state": "available"}
Get the edge node resilience testProduction
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Response
State of the option
disableddisablingenabledenablingerrormigratingunknownExample uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId}/ resilience \
-H "authorization: Bearer $OVH_TOKEN"{ "state": "disabled"}
Check if a resilience test can startProduction
Check if a resilience test can start. Returns true when a resilience test can start on the edge node.
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Response
Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId}/ resilience/ canBeEnabled \
-H "authorization: Bearer $OVH_TOKEN"true
List edge node sizesProduction
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdgesResizingCapabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "size": [ "string" ]}
Get the maximum edge node countProduction
Get the maximum edge node count. Returns the maximum number of edge nodes supported in the datacenter.
Path parameters
Id of the Datacenter
Domain of the service
Response
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdgesScalingCapabilities \
-H "authorization: Bearer $OVH_TOKEN"{ "number": 0}
Create an edge nodeProduction
Create an edge node. Adds an NSX-T edge node to the datacenter, up to the maximum given by nsxtEdgesScalingCapabilities. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Relocate an edge nodeProduction
Relocate an edge node. Moves the compute resources of the edge node to another host, its disks to another datastore, or both. Returns a task to track progress.
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Request body (required)
Datastore ID where you want to relocate NSX-T Edge disks
Host ID where you want to relocate NSX-T Edge compute resources
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId}/ relocateEdge \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Stop the resilience testProduction
Stop the resilience test. Stops the resilience test on the edge node. Returns a task to track progress.
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId}/ resilience/ disable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Start a resilience testProduction
Start a resilience test. Puts the edge node in maintenance mode for the given duration, then reconnects it: 10 minutes to 24 hours, 1 hour by default. Returns a task to track progress.
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Request body (required)
Duration test in minutes. NSX-T Edge will be reconnected after this period (min:10min, max:24h, default:1h)
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId}/ resilience/ enable \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Resize the edge nodesProduction
Resize the edge nodes. Changes the size of the edge nodes of the datacenter: MEDIUM, LARGE or XLARGE. Returns a task to track progress.
Path parameters
Id of the Datacenter
Domain of the service
Request body (required)
Size of NSX-T edge
LARGEMEDIUMXLARGEResponse
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ resizeNsxtEdgeCluster \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}
Delete an edge nodeProduction
Delete an edge node. Removes the NSX-T edge node from the datacenter. Returns a task to track progress.
Path parameters
Id of the Datacenter
Id of the NSX-T Edge
Domain of the service
Response
Creator of the task
Origin of the task
datacenterId of the associated dedicatedCloud.Datacenter object
Current progress description
Task end date
Task execution date
filerId of the associated dedicatedCloud.Filer object
hostId of the associated dedicatedCloud.Host object
Task last modification date
Maintenance task min allowed execution date
Maintenance task max allowed execution date
Task name
network of the associated dedicatedCloud.Ip object
networkAccessId of the associated dedicatedCloud.AllowedNetwork object
orderId of the associated billing.Order object
taskId of the parent dedicatedCloud.Task object
Current progress
Current Task state
canceleddoingdoneerrorfixingtoCanceltoCreatetodounknownwaitingForChildswaitingTodoTask id
Task type
userId of the associated dedicatedCloud.User object
vlanId of the parent dedicatedCloud.Vlan object
Example uses datacenterId = 0, nsxtEdgeId = 0, serviceName = string
$ curl https:/ / api.eu.ovhcloud.com/ v1/ dedicatedCloud/ {serviceName}/ datacenter/ {datacenterId}/ nsxtEdge/ {nsxtEdgeId} \
-H "authorization: Bearer $OVH_TOKEN"{ "createdBy": "string", "createdFrom": "string", "datacenterId": 0, "description": "string", "endDate": "2024-01-01T12:00:00Z", "executionDate": "2024-01-01T12:00:00Z", "filerId": 0, "hostId": 0, "lastModificationDate": "2024-01-01T12:00:00Z", "maintenanceDateFrom": "2024-01-01T12:00:00Z", "maintenanceDateTo": "2024-01-01T12:00:00Z", "name": "string", "network": "string", "networkAccessId": 0, "orderId": 0, "parentTaskId": 0, "progress": 0, "state": "canceled", "taskId": 0, "type": "string", "userId": 0, "vlanId": 0}